Heroku Db migrate not working

Hi,

I am on section 7.4.2 of the tutorial. However when I try to migrate my heroku database, i get the following error:

C:\Users\Manu\Documents\Manu\ruby\sample_app>heroku rake db:migrate

(in /app)

rake aborted!

uninitialized constant Rake::DSL

/usr/ruby1.9.2/lib/ruby/1.9.1/rake.rb:2482:in `const_missing’

/app/.bundle/gems/ruby/1.9.1/gems/rake-0.9.2/lib/rake/tasklib.rb:8:in `<class:Ta

/app/.bundle/gems/ruby/1.9.1/gems/rake-0.9.2/lib/rake/tasklib.rb:6:in `<module:R

/app/.bundle/gems/ruby/1.9.1/gems/rake-0.9.2/lib/rake/tasklib.rb:3:in `<top (req

uired)>’

/app/.bundle/gems/ruby/1.9.1/gems/rake-0.9.2/lib/rake/rdoctask.rb:20:in `require

/app/.bundle/gems/ruby/1.9.1/gems/rake-0.9.2/lib/rake/rdoctask.rb:20:in `<top (r

equired)>’

/app/.bundle/gems/ruby/1.9.1/gems/railties-3.0.7/lib/rails/tasks/documentation.r

ake:1:in `require’

/app/.bundle/gems/ruby/1.9.1/gems/railties-3.0.7/lib/rails/tasks/documentation.r

ake:1:in `<top (required)>’

/app/.bundle/gems/ruby/1.9.1/gems/railties-3.0.7/lib/rails/tasks.rb:15:in `load’

/app/.bundle/gems/ruby/1.9.1/gems/railties-3.0.7/lib/rails/tasks.rb:15:in `block

in <top (required)>’

/app/.bundle/gems/ruby/1.9.1/gems/railties-3.0.7/lib/rails/tasks.rb:6:in `each’

/app/.bundle/gems/ruby/1.9.1/gems/railties-3.0.7/lib/rails/tasks.rb:6:in `<top (

required)>’

/app/.bundle/gems/ruby/1.9.1/gems/railties-3.0.7/lib/rails/application.rb:214:in

`require’

/app/.bundle/gems/ruby/1.9.1/gems/railties-3.0.7/lib/rails/application.rb:214:in

`initialize_tasks’

/app/.bundle/gems/ruby/1.9.1/gems/railties-3.0.7/lib/rails/application.rb:139:in

`load_tasks’

/app/.bundle/gems/ruby/1.9.1/gems/railties-3.0.7/lib/rails/application.rb:77:in

`method_missing’

/app/Rakefile:7:in `<top (required)>’

/usr/ruby1.9.2/lib/ruby/1.9.1/rake.rb:2373:in `load’

/usr/ruby1.9.2/lib/ruby/1.9.1/rake.rb:2373:in `raw_load_rakefile’

/usr/ruby1.9.2/lib/ruby/1.9.1/rake.rb:2007:in `block in load_rakefile’

/usr/ruby1.9.2/lib/ruby/1.9.1/rake.rb:2058:in `standard_exception_handling’

/usr/ruby1.9.2/lib/ruby/1.9.1/rake.rb:2006:in `load_rakefile’

/usr/ruby1.9.2/lib/ruby/1.9.1/rake.rb:1991:in `run’

/usr/ruby1.9.2/bin/rake:31:in `’

Any ideas?

It is an issue with your version of you rake gem. Check out the
answer here: http://stackoverflow.com/questions/6085610/rails-rake-problems-uninitialized-constant-rakedsl

just include require ‘rake/dsl_definition’

in top of your RakeFile